import request from '@/utils/request'

// 查询检测项日志列表
export function listLog(query) {
    return request({
        url: '/test/log/list',
        method: 'get',
        params: query
    })
}

// 查询检测项日志详细
export function getLog(id) {
    return request({
        url: '/test/log/' + id,
        method: 'get'
    })
}

// 新增检测项日志
export function addLog(data) {
    return request({
        url: '/test/log',
        method: 'post',
        data: data
    })
}

// 修改检测项日志
export function updateLog(data) {
    return request({
        url: '/test/log',
        method: 'put',
        data: data
    })
}

// 删除检测项日志
export function delLog(id) {
    return request({
        url: '/test/log/' + id,
        method: 'delete'
    })
}

// 查询任务实例列表
export function listInst(query) {
    return request({
        url: '/test/inst/list',
        method: 'get',
        params: query
    })
}

// 查询任务实例日志
export function getInst(query) {
    return request({
        url: '/test/inst/log/detail',
        method: 'get',
        params: query
    })
}

// 查询任务实例日志
export function getFlowRuntimeLog(query) {
    return request({
        url: '/test/inst/log/query',
        method: 'get',
        params: query
    })
}

